libzypp 17.38.15

zypp::SigcheckPlugin::Impl Struct Reference
Mandatory signature checking

## Public Member Functions
| Impl (Pathname script_r)
| Impl (Pathname script_r, Args args_r)
void | launch (const Pathname &chroot_r)
void | sigcheck (const Pathname &data_r, const Pathname &sig_r=Pathname(), const Pathname &key_r=Pathname()) const

## Public Attributes
PluginScript | _script
std::string | _sigExtension
std::string | _keyExtension

## Detailed Description

Definition at line 41 of file PluginSigcheck.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/2]

zypp::SigcheckPlugin::Impl::Impl | ( | Pathname | script_r | ) |
| inline

Definition at line 43 of file PluginSigcheck.cc.

## ◆ Impl() [2/2]

zypp::SigcheckPlugin::Impl::Impl | ( | Pathname | script_r,
|  | Args | args_r )
| inline

Definition at line 46 of file PluginSigcheck.cc.

## Member Function Documentation

## ◆ launch()

void zypp::SigcheckPlugin::Impl::launch | ( | const Pathname & | chroot_r | ) |
| inline

Definition at line 50 of file PluginSigcheck.cc.

## ◆ sigcheck()

void zypp::SigcheckPlugin::Impl::sigcheck | ( | const Pathname & | data_r,
|  | const Pathname & | sig_r = Pathname(),
|  | const Pathname & | key_r = Pathname() ) const
| inline

Definition at line 83 of file PluginSigcheck.cc.

## Member Data Documentation

## ◆ _script

PluginScript zypp::SigcheckPlugin::Impl::_script

Definition at line 115 of file PluginSigcheck.cc.

## ◆ _sigExtension

std::string zypp::SigcheckPlugin::Impl::_sigExtension

Definition at line 116 of file PluginSigcheck.cc.

## ◆ _keyExtension

std::string zypp::SigcheckPlugin::Impl::_keyExtension

Definition at line 117 of file PluginSigcheck.cc.

The documentation for this struct was generated from the following file:

- zypp/repo/PluginSigcheck.cc